#!/usr/bin/perl -w
#
# This script is available under the Gnu General Public Licence (GPL)
#
# Written by James Bromberger (james@rcpt.to).
#
#
use strict;
use lib qw(../lib/);
use CommSecure;
use Form;
use DBI;
use CGI;

my $q = new CGI;
my $dbh = DBI->connect("dbi:mysql:database=LCA2003-Reg") or die "Can't connect";
my $f = Form->new(-query => $q, -dbh => $dbh);
#my @list = CommSecure->find(-dbh => $dbh);
my @transactions = CommSecure->find(-dbh => $dbh);

print $q->header;
print $f->html_header;

print $q->p("Click a refnum to see the transaction in detail, click a custnum to see a person's details.");
print "<table border=1>\n";
print CommSecure->transaction_summary_html_th;
foreach (sort {$a->request->date <=> $b->request->date} @transactions) {
	print $_->transaction_summary_html;
}
print "</table>\n";


print $f->html_footer;
