#!/usr/bin/perl -w
#
# This script is available under the Gnu General Public Licence (GPL)
#
# Written by James Bromberger (james@rcpt.to).
#
#
use strict;
use lib qw(../lib/);
use CommSecure;
use Form;
use DBI;
use CGI;

my $q = new CGI;
my $dbh = DBI->connect("dbi:mysql:database=LCA2003-Reg") or die "Can't connect";
my $f = Form->new(-query => $q, -dbh => $dbh);

my @list = CommSecure->find(-dbh => $dbh);


sub cs_amt_human {
	my $amt = shift;
	#my $new_val;
	#$new_val = "." . sprintf "%02d", substr($amt, -2);
	$amt=$amt / 100;
	#while ($amt > 0) {
	#	$new_val = substr($amt, -3) . "," . $new_val;
	#	$amt = $amt/1000;
	#}
	return $amt;
}

sub time_human {
	my $time = shift;
	return unless $time;
	use integer;
	my $string;
	$string = sprintf "%02d", ($time % 60);
	$time/= 60;
	return $string unless $time;

	$string = sprintf("%02d", ($time %60)) . ":" . $string;
	$time/=60;
	return $string unless $time;

	$string = ($time % 24) . ":" . $string;
	$time/=24;
	return $string unless $time;

	$string = ($time % 7) . "d " . $string;
	$time/=7;
	return $string unless $time;
	$string = $time . "w " . $string;
	return $string;
}

print $q->header;
if (defined $q->param('refresh') && $q->param('refresh') =~ /^\d+$/) {
	print $f->html_header(-header => sprintf "<meta http-equiv=\"Refresh\" CONTENT=\"%s\">\n", $q->param('refresh'));
} else {
	print $f->html_header;
}

printf "<p>";
print  "<form method=get>Refreshing this page every <select name='refresh'>";
printf "<option %s>5\n", (defined ($q->param('refresh')) && $q->param('refresh') =~ /^\d+/ && $q->param('refresh') == 5)?"SELECTED":"";
printf "<option %s>10\n", (defined ($q->param('refresh')) && $q->param('refresh') =~ /^\d+/ && $q->param('refresh') == 10)?"SELECTED":"";
printf "<option %s>30\n", (defined ($q->param('refresh')) && $q->param('refresh') =~ /^\d+/ && $q->param('refresh') == 30)?"SELECTED":"";
printf "<option %s>60\n", (defined ($q->param('refresh')) && $q->param('refresh') =~ /^\d+/ && $q->param('refresh') == 60)?"SELECTED":"";
printf "<option %s>none", (not (defined $q->param('refresh')) || ($q->param('refresh') !~ /^\d+$/))?"SELECTED":"";
printf "</select><input type=submit value='seconds'>. <a href=\"misc_payments.cgi\">Misc Payments</a> <a href=\"commsecure_completed.cgi\">Completed CommSecure Transactions</a>. </form>\n\n";


print CommSecure->summary_html(-dbh => $dbh);

print $f->html_footer;
