#!/usr/bin/perl -w
#
# This script is available under the Gnu General Public Licence (GPL)
#
# Written by James Bromberger (james@rcpt.to).
#
#
use strict;
use lib qw(../lib);
use Person;
use CommSecure;
use Form;
use DBI;
use CGI;

my $q = new CGI;
my $dbh = DBI->connect("dbi:mysql:database=LCA2003-Reg") or die "Can't connect";
my $f = Form->new(-query => $q, -dbh => $dbh);
my $person;

print $q->header;
defined($q->param('plain'))?print "<html><head><link rel=\"stylesheet\" href=\"/style.css\"></head>": print $f->html_header;
if (not defined $q->param('custnum')) {
	print "<form method=\"POST\"><p>Custnum<input name=\"custnum\"></p></form>\n";
} elsif (($person, undef) = Person->find(-dbh => $dbh, -custnum=> $q->param('custnum'))) {
	print $person->person_html();
} else {
	print $q->p("Could not find person custnum " . $q->param('custnum'));
	my @people = Person->find(-dbh => $dbh);
	print "\n<form method=\"POST\"><p>Custnum<input name=\"custnum\"></p></form>\n";
	print "<ul>\n";
	foreach (@people) {
		printf "<li><a href=\"?custnum=%s\">%s</a> (%s) charge %s, paid %s, owing %s\n",
			$_->custnum,
			$_->name,
			$_->registration_type->name,
			$_->amount_total,
			$_->amount_paid,
			$_->amount_owing;
	}
	print "</ul>\n";
}
defined($q->param('plain'))?print "</html>":print $f->html_footer;
