package Accomodation;
#
## This script is available under the Gnu General Public Licence (GPL)
##
## Written by James Bromberger (james@rcpt.to).
##
#
use strict;

#sub new {
#	my $proto = shift;
#	my $class = ref($proto)||$proto;
#	my $self = {};
#	bless $self, $class;
#	return $self;
#}

sub generate_text {
	my $self = shift;
	my %args = @_;
	if (not ref $args{'-person'}) {
		warn "No person";
		return;
	}
	my $text;

$text.= "The following person has request accomodation at Currie Hall for the\n";
$text.= "National Linux Conference, Linux.conf.au (LCA), being held in January\n";
$text.= "2003. This message was generated automatically by the LCA registration\n";
$text.= "scripts: the dates supplied were given by the client. \n\n";

$text.= sprintf "Name:\t%s\n", $args{'-person'}->name;
$text.= sprintf "Email:\t%s\n", $args{'-person'}->email_address;
$text.= sprintf "Phone:\t%s\n", $args{'-person'}->telephone;
$text.= sprintf "ID:\t%s\n\n", $args{'-person'}->id;
$text.= sprintf "Start:\t%s\n", $args{'-person'}->accomodation_start;
$text.= sprintf "End:\t%s\n", $args{'-person'}->accomodation_end;
$text.= sprintf "Special Requirements:\t%s\n", $args{'-person'}->special_requirements if defined ($args{'-person'}->special_requirements);

$text.= "\n\n";
$text.= "If you have problems with this registration, please contact the \n";
$text.= "conference organisers at lca-organisers\@conf.linxu.org.au, or phone\n";
$text.= "James on 0417 77 22 86 or Mark on 0418 958 985.\n\n";
$text.= "LCA2003 is being run by PLUG, www.plug.linux.org.au, on behalf of \n";
$text.= "Linux Australia, www.linux.org.au.\n\n\n";
$text.= "-- \n";
$text.= " LINUX.CONF.AU 2003 | Perth, Western Australia | January 22 - 25\n";
$text.= "    http://conf.linux.org.au/  |  lca-organisers\@conf.linux.org.au\n";



	return $text;
}

1;
