#!/usr/bin/perl -w
#
# This script is available under the Gnu General Public Licence (GPL)
#
# Written by James Bromberger (james@rcpt.to).
#
#
use strict;
use lib qw(../lib/);
use CommSecure;
use Form;
use DBI;
use CGI;

my $q = new CGI;
my $dbh = DBI->connect("dbi:mysql:database=LCA2003-Reg") or die "Can't connect";
my $f = Form->new(-query => $q, -dbh => $dbh);
my $transaction;

print $q->header;
defined($q->param('plain'))?print "<html><head><link rel=\"stylesheet\" href=\"/style.css\"></head>": print $f->html_header;
if (not defined $q->param('refnum')) {
	print "<form method=\"POST\"><p>Refnum:<input name=\"refnum\"></p></form>\n";
} elsif (($transaction, undef) = CommSecure->find(-dbh => $dbh, -refnum => $q->param('refnum'))) {
	print $transaction->transaction_as_html_detail();
} else {
	print $q->p("Could not find transaction refnum " . $q->param('refnum'));
}
defined($q->param('plain'))?print "</html>":print $f->html_footer;
