#!/usr/bin/perl -w
#
# This script is available under the Gnu General Public Licence (GPL)
#
# Written by James Bromberger (james@rcpt.to).
#
#
use strict;
use lib qw(../lib/);
use Person;
use Form;
use DBI;
use CGI;

my $q = new CGI;
my $dbh = DBI->connect("dbi:mysql:database=LCA2003-Reg") or die "Can't connect";
my $f = Form->new(-query => $q, -dbh => $dbh);
my $receipt;

print $q->header;
defined($q->param('plain'))?print "<html><head><link rel=\"stylesheet\" href=\"/style.css\"></head>": print $f->html_header;
if (not defined $q->param('receipt_num')) {
	print "<form method=\"POST\"><p>Receipt Num<input name=\"receipt_num\"></p></form>\n";
} elsif (($receipt, undef) = Receipt->find(-dbh => $dbh, -id=> $q->param('receipt_num'))) {
	print "<form method=\"POST\"><p>Receipt Num<input name=\"receipt_num\"></p></form>\n";
	print $receipt->as_html();
} else {
	print $q->p("Could not find receipt num " . $q->param('receipt_num'));
	print "<form method=\"POST\"><p>Receipt Num<input name=\"receipt_num\"></p></form>\n";
}
defined($q->param('plain'))?print "</html>":print $f->html_footer;
